Package org.apache.tapestry5.beanmodel.internal.antlr

# Class BaseLexer

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Lexer
org.apache.tapestry5.beanmodel.internal.antlr.BaseLexer

All Implemented Interfaces:
  `org.antlr.runtime.TokenSource`

Direct Known Subclasses:
  `PropertyExpressionLexer`

public abstract class BaseLexer extends org.antlr.runtime.Lexer

- ## Field Summary

  ### Fields inherited from class org.antlr.runtime.Lexer

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseLexer()`
  `protected`
  `BaseLexer(org.antlr.runtime.CharStream charStream, org.antlr.runtime.RecognizerSharedState recognizerSharedState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `reportError(org.antlr.runtime.RecognitionException e)`
  `protected void`
  `stripLeadingPlus()`

  ### Methods inherited from class org.antlr.runtime.Lexer

  `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, mTokens, nextToken, recover, reset, setCharStream, setText, skip, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getGrammarFileName, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseLexer

    protected BaseLexer()

  - ### BaseLexer

    protected BaseLexer(org.antlr.runtime.CharStream charStream, org.antlr.runtime.RecognizerSharedState recognizerSharedState)

- ## Method Details

  - ### stripLeadingPlus

    protected void stripLeadingPlus()

  - ### reportError

    public void reportError(org.antlr.runtime.RecognitionException e)
    Overrides:
      `reportError` in class `org.antlr.runtime.Lexer`